package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class GiftCollectionUpdateMessage extends C3553GuA {
    @c(LIZ = "gift_collection")
    public GiftCollection LIZ;

    static {
        Covode.recordClassIndex(19043);
    }

    public final boolean LIZIZ() {
        return true;
    }

    public GiftCollectionUpdateMessage() {
        this.LJJIL = C4453HKs.GIFT_COLLECTION_UPDATE_MESSAGE;
    }

    public final boolean LIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }
}
